Skip to main content

Update a contact

Updates the specified contact by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Parameters​

address
nullable string
Address of the contact.
city
nullable string
City of the contact.
country
nullable string
Two-letter ISO code of the contact country.
email
string
Email of the contact.
job_title
nullable string
Job title of the contact.
name
string
Name of the contact.
organization
nullable string
Organization of the contact.
phone
nullable string
Phone of the contact.
postal_code
nullable string
Postal code of the contact.
state
nullable string
State of the contact.

Returns​

Returns the contact object if the update succeeded. Throws an error if update parameters are invalid.

put
/api/contacts/{id}
curl -X PUT https://{workspace}.documocu.com/api/contacts/{id} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"address": null,
"city": null,
"color": "#9ee9a1",
"country": null,
"created_at": "2024-05-14T08:59:34+00:00",
"email": "[email protected]",
"first_name": "Claudine",
"full_name": "Claudine Muller",
"id": "con_ody240o93zzuch5n7412od42",
"job_title": null,
"last_name": "Muller",
"organization": null,
"phone_number": null,
"postal_code": null,
"state": null,
"updated_at": "2024-05-14T08:59:34+00:00"
}